Bug 60583 - DAC960 (mylex) driver fails w/ greater than 2gb memory
DAC960 (mylex) driver fails w/ greater than 2gb memory
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-03-01 15:27 EST by harry.heinisch
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-01 15:43:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description harry.heinisch 2002-03-01 15:27:17 EST
Description of Problem: The dac960 mylex driver fails to load properly on a 
system with more than 2GB of memory.  If left as a module, insmod DAC960 hangs 
and an lsmod from another term shows it to be initializing. If built into the 
kernel dmesgs shows that it loads but subsequent mount commands fail. The same 
configuration will work fine  with 2gb or less (both built into the kernel and 
as a module).

Version-Release number of selected component (if applicable):

How Reproducible: always

Steps to Reproduce:
1. configure system with more than 2gb and a mylex controller
2. insmod DAC960 
3. -or- rebuild kernel w/driver built in and attempt to mount a raid device. 

Actual Results:

lsmod shows the dac960 module is initializing, and the insmod itself hangs

Expected Results:

module should load,  read devices should be available

Additional Information:

if builtin to the kernel the behavior is different, although not correct - 
demsg shows the driver has loaded and fdisk will read and write the table. 
however mkfs or mke2fs hang and attempts to mount any existing filesystems fail

testing was been done using ds20e's one with 3gb of mem the other 2gb. Also a 
ds10 with .5gb.  In the case of the ds20e's the same mylex controller, raid 
set and boot disk were used for testing - the only difference being the memory.
Comment 1 Phil Copeland 2002-03-01 15:43:43 EST
>2Gb of memory,.. erm
ok the biggest alpha that I have here has 2Gb of memory (es40)
I don't think I'll be able to test this one for you.
Arjan alluded to a possible explaination that the dac960 driver "forgets" to use
the pci dma api

Comment 2 Phil Copeland 2002-04-22 00:12:42 EDT
The DAC960 driver now has the completed >2Gb API. This should no longer be a

(reopen if it is)


Note You need to log in before you can comment on or make changes to this bug.